#!/bin/sh
export PATH='/usr/lib/distcc/bin:/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name: free
version: 5.1
id: free-5.1-BHiu96TYlYmJFHST5jZC4S
key: free-5.1-BHiu96TYlYmJFHST5jZC4S
license: BSD-3-Clause
copyright: Copyright (C) 2008-2015 Edward A. Kmett
maintainer: Edward A. Kmett <ekmett@gmail.com>
author: Edward A. Kmett
stability: provisional
homepage: http://github.com/ekmett/free/
synopsis: Monads for free
description:
    Free monads are useful for many tree-like structures and domain specific languages.
    .
    If @f@ is a '\''Functor'\'' then the free '\''Monad'\'' on @f@ is the type
    of trees whose nodes are labeled with the constructors of @f@. The word
    \"free\" is used in the sense of \"unrestricted\" rather than \"zero-cost\":
    @Free f@ makes no constraining assumptions beyond those given by @f@ and the
    definition of '\''Monad'\''. As used here it is a standard term from the
    mathematical theory of adjoint functors.
    .
    Cofree comonads are dual to free monads. They provide convenient ways to talk
    about branching streams and rose-trees, and can be used to annotate syntax
    trees. The cofree comonad can be seen as a stream parameterized by a '\''Functor'\''
    that controls its branching factor.
    .
    More information on free monads, including examples, can be found in the
    following blog posts:
    <http://comonad.com/reader/2008/monads-for-free/>
    <http://comonad.com/reader/2011/free-monads-for-less/>
category: Control, Monads
abi: ecdb7770fb688a6fe0bfe6479fec0348
exposed: True
exposed-modules:
    Control.Alternative.Free Control.Alternative.Free.Final
    Control.Applicative.Free Control.Applicative.Free.Fast
    Control.Applicative.Free.Final Control.Applicative.Trans.Free
    Control.Comonad.Cofree Control.Comonad.Cofree.Class
    Control.Comonad.Trans.Cofree Control.Comonad.Trans.Coiter
    Control.Monad.Free Control.Monad.Free.Ap Control.Monad.Free.Church
    Control.Monad.Free.Class Control.Monad.Free.TH
    Control.Monad.Trans.Free Control.Monad.Trans.Free.Ap
    Control.Monad.Trans.Free.Church Control.Monad.Trans.Iter
hidden-modules: Data.Functor.Classes.Compat
import-dirs: /usr/lib/ghc-8.4.3/site-local/free-5.1
library-dirs: /usr/lib/ghc-8.4.3/site-local/free-5.1
dynamic-library-dirs: /usr/lib
data-dir: /usr/share/arm-linux-ghc-8.4.3/free-5.1
hs-libraries: HSfree-5.1-BHiu96TYlYmJFHST5jZC4S
includes:
    free-common.h
depends:
    base-4.11.1.0 comonad-5.0.4-8DHO5Jv74txFAsVesa3UB0
    distributive-0.6-6QgOwMxfqmvBrXZo6ZxUuM mtl-2.2.2
    profunctors-5.3-1vLLW2Ksqgzvx8QHja9Fj
    semigroupoids-5.3.1-8OS4VM2raLTJVVCO35HmEi transformers-0.5.5.0
    transformers-base-0.4.5.2-7xVlmRHmqPgJ9CKrGJjQpF
    template-haskell-2.13.0.0 exceptions-0.10.0-4E5CMyEcw7c5SGR3xFIeNi
    containers-0.5.11.0
abi-depends: base-4.11.1.0=a3fb1645bafaa89172454c2eea8dfdc9
             comonad-5.0.4-8DHO5Jv74txFAsVesa3UB0=3fee7a3e9e4d1ef82161e9071053e4bc
             distributive-0.6-6QgOwMxfqmvBrXZo6ZxUuM=72d98f84f7ca485640f6cf3f7d33416b
             mtl-2.2.2=0b3b35c3b96c7607606ed10087c4aa4a
             profunctors-5.3-1vLLW2Ksqgzvx8QHja9Fj=fdad7ac77078077d7d6dc1f9ef91c180
             semigroupoids-5.3.1-8OS4VM2raLTJVVCO35HmEi=1775f5b42e6ffb9e45ba7dd65ba46972
             transformers-0.5.5.0=4f41484af13f560f1d83ed79e1be4572
             transformers-base-0.4.5.2-7xVlmRHmqPgJ9CKrGJjQpF=05116e22005b011db3585a0ba0745a2f
             template-haskell-2.13.0.0=ac7dfd04924d4ebfa90a119ad22a36cc
             exceptions-0.10.0-4E5CMyEcw7c5SGR3xFIeNi=b417f0870e3d66d725c431d901a306c8
             containers-0.5.11.0=94bb4831ae701bd40855b2dc2d65cf7c
haddock-interfaces: /usr/share/doc/haskell-free/html/free.haddock
haddock-html: /usr/share/doc/haskell-free/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

